import { PackageSpec, ResolveOptions, ResolveResult } from '.';
export default function resolveGithub(parsedSpec: PackageSpec, opts: ResolveOptions): Promise<ResolveResult>;
/**
 * clone a git repository.
 */
export declare function clone(repo: string, ref: string, dest: string): Promise<{}>;
